import api_game as api_game
import game_1 as quest_game

str_path_img="data\\img\\"
str_img_menu=str_path_img+"menu\\game\\object_select.jpg"

music_location="data\\sound\\lost-morning.ogg"

def on_create():
	global music_location
	api_game.load_stream(music_location,1)
	api_game.fade_music(music_location,0,3)

	str_path_icon=str_path_img+"lev\\"+__name__+"\\objects_icon\\"
	str_path_m_icon=str_path_img+"lev\\"+__name__+"\\items\\"
	quest_game.set_path_small_icon(str_path_img+"lev\\"+__name__+"\\icons\\")

	api_game.load_stream("data\\sound\\quest\\amb_wind_low.ogg",0)
	api_game.set_local_vol("data\\sound\\quest\\amb_wind_low.ogg",0.7)
	api_game.play_sound("data\\sound\\quest\\amb_wind_low.ogg",1)

	api_game.enable_visibility(0,"vkl_1", 0)
	api_game.enable_update(0,"vkl_1", 0)

	api_game.enable_visibility(0,"lestnica", 0)
	api_game.enable_visibility(0,"lestnica_final", 0)
	api_game.enable_visibility(0,"fourth_object", 0)
	api_game.enable_visibility(0,"three_object", 0)
	api_game.enable_visibility(0,"back_minigame", 0)
	api_game.enable_visibility(0,"scroll", 0)

	str_icons_menu=[str_path_icon+"item5_1.jpg",str_path_icon+"item5_2.jpg",str_path_icon+"item5_3.jpg",str_path_icon+"item5_4.jpg",str_path_icon+"item5_5.jpg","","",""]
	str_icon_mouse=[str_path_m_icon+"item5_1m.jpg",str_path_m_icon+"item5_2m.jpg",str_path_m_icon+"item5_3m.jpg",str_path_m_icon+"item5_4m.jpg",str_path_m_icon+"item5_5m.jpg","","",""]
	str_objects_on_loc=["item5_1","item5_2","item5_3","item5_4","item5_5","","",""]
	quest_game.add_of("fifth_object", str_img_menu, str_icons_menu, str_icon_mouse, str_objects_on_loc, 3.14,0,0)

	str_icons_menu=[str_path_icon+"item2_1.jpg",str_path_icon+"item2_2.jpg",str_path_icon+"item2_3.jpg",str_path_icon+"item2_4.jpg",str_path_icon+"item2_5.jpg","","",""]
	str_icon_mouse=[str_path_m_icon+"item2_1m.jpg",str_path_m_icon+"item2_2m.jpg",str_path_m_icon+"item2_3m.jpg",str_path_m_icon+"item2_4m.jpg",str_path_m_icon+"item2_5m.jpg","","",""]
	str_objects_on_loc=["item2_1","item2_2","item2_3","item2_4","item2_5","","",""]
	quest_game.add_of("second_object", str_img_menu, str_icons_menu, str_icon_mouse, str_objects_on_loc, 3.14,0,0)

	str_icons_menu=[str_path_icon+"item1_1.jpg",str_path_icon+"item1_1.jpg",str_path_icon+"item1_1.jpg",str_path_icon+"item1_1.jpg",str_path_icon+"item1_2.jpg","","",""]
	str_icon_mouse=[str_path_m_icon+"item1_1m.jpg",str_path_m_icon+"item1_1m.jpg",str_path_m_icon+"item1_1m.jpg",str_path_m_icon+"item1_1m.jpg",str_path_m_icon+"item1_2m.jpg","","",""]
	str_objects_on_loc=["item1_1","item1_2","item1_3","item1_4","item1_5","","",""]
	quest_game.add_of("first_object", str_img_menu, str_icons_menu, str_icon_mouse, str_objects_on_loc, 3.14,0,0)

	str_icons_menu=[str_path_icon+"item4_1.jpg",str_path_icon+"item4_2.jpg",str_path_icon+"item4_2.jpg",str_path_icon+"item4_2.jpg",str_path_icon+"item4_2.jpg","","",""]
	str_icon_mouse=[str_path_m_icon+"item4_1m.jpg",str_path_m_icon+"item4_2m.jpg",str_path_m_icon+"item4_2m.jpg",str_path_m_icon+"item4_2m.jpg",str_path_m_icon+"item4_2m.jpg","","",""]
	str_objects_on_loc=["item4_1","item4_2","item4_3","item4_4","item4_5","","",""]
	quest_game.add_of("fourth_object", str_img_menu, str_icons_menu, str_icon_mouse, str_objects_on_loc, 1.5,0,0)

	str_icons_menu=[str_path_icon+"item3_1.jpg",str_path_icon+"item3_1.jpg",str_path_icon+"item3_2.jpg",str_path_icon+"item3_2.jpg",str_path_icon+"item3_3.jpg","","",""]
	str_icon_mouse=[str_path_m_icon+"item3_1m.jpg",str_path_m_icon+"item3_1m.jpg",str_path_m_icon+"item3_2m.jpg",str_path_m_icon+"item3_2m.jpg",str_path_m_icon+"item3_3m.jpg","","",""]
	str_objects_on_loc=["item3_1","item3_2","item3_3","item3_4","item3_5","","",""]
	quest_game.add_of("three_object", str_img_menu, str_icons_menu, str_icon_mouse, str_objects_on_loc, 1.5,0,0)

	quest_game.set_collect_sound("first_object","data\\sound\\quest\\q_molotok.ogg")
	quest_game.set_collect_sound("fourth_object","data\\sound\\quest\\q_molotok.ogg")
	quest_game.set_collect_sound("fifth_object","data\\sound\\quest\\q_plesk.ogg")

	quest_game.set_state_of("first_object", 0)
	quest_game.set_state_of("second_object", 0)
	quest_game.set_state_of("three_object", 0)
	quest_game.set_state_of("fourth_object", 0)
	quest_game.set_state_of("fifth_object", 2)
	api_game.set_goal("goal_7_1")	

def on_mouse_down_of(object_name, p_object, state):
	if object_name == "fifth_object" and state == 3:
		quest_game.set_state_of("second_object", 2)
		api_game.set_goal("goal_7_2")	
	elif object_name == "second_object" and state == 3:
		quest_game.set_state_of("first_object", 2)
		api_game.set_goal("goal_7_3")
	elif object_name == "first_object" and state == 3:
		quest_game.show_object("lestnica","quest_anim",0.5,0,0)
		api_game.play_anim(0,"first_object","quest_anim", 0.5, 1) 
		quest_game.set_state_of("fourth_object", 2)
		api_game.set_goal("goal_7_4")
	elif object_name == "fourth_object" and state == 3:
		api_game.attach_game("data\\menu\\levels\\loc_7_2")
		api_game.activate_game("loc_7_2",1)
		quest_game.show_object("back_minigame","quest_anim",0.5,0,0)
		api_game.set_goal("tut_7_2")
	elif object_name == "three_object" and state == 3:
		quest_game.show_object("lestnica","quest_anim",0.5,1,0)
		quest_game.show_object("lestnica_final","quest_anim",0.5,0,0)
		api_game.play_anim(0,"fourth_object","quest_anim", 0.5, 1) 
		api_game.play_anim(0,"three_object","quest_anim", 0.5, 0) 
				 
def on_event(object_name, p_object, event):
	if event == 11000 and object_name == "loc_7_2":
		api_game.activate_game("loc_7_2",0)
		p_vkladka = api_game.get_child(0,"back_minigame")
		api_game.play_anim(p_vkladka,"right_1","wall_move_7_1", 0.5, 0) 
		api_game.play_anim(p_vkladka,"left_1","wall_move_7_1", 0.5, 1) 
	elif event == 11000 and object_name == "loc_7_3":
		api_game.activate_game("loc_7_3",0)
		p_vkladka = api_game.get_child(0,"back_minigame")
		api_game.play_anim(p_vkladka,"up_1","wall_move_7_1", 0.5, 2) 
		api_game.play_anim(p_vkladka,"bottom_1","wall_move_7_1", 0.5, 3)
        elif event == 11000 and object_name == "loc_7_4":
		api_game.activate_game("loc_7_4",0)
		p_vkladka = api_game.get_child(0,"back_minigame")
		api_game.play_anim(p_vkladka,"right_2","wall_move_7_1", 0.5, 0)
		api_game.play_anim(p_vkladka,"left_2","wall_move_7_1", 0.5, 1)
	elif event == 11000 and object_name == "loc_7_5":
		api_game.activate_game("loc_7_5",0)
		p_vkladka = api_game.get_child(0,"back_minigame")
		api_game.play_anim(p_vkladka,"up_2","wall_move_7_1", 2, 4) 
		api_game.play_anim(p_vkladka,"bottom_2","wall_move_7_1", 0.5, 3) 
		p_owner = api_game.get_child(0,"back_minigame")
		quest_game.add_object_check(p_owner,"scroll","scroll_glow")

def on_stop_anim(object_name, anim_name, p_object, i_track):
	if object_name == "lestnica_final":
		api_game.game_win()
	elif object_name == "left_1":
		api_game.attach_game("data\\menu\\levels\\loc_7_3")
		api_game.activate_game("loc_7_3",1)		
	elif object_name == "up_1":
		api_game.attach_game("data\\menu\\levels\\loc_7_4")
		api_game.activate_game("loc_7_4",1)		
	elif object_name == "left_2":
		api_game.attach_game("data\\menu\\levels\\loc_7_5")
		api_game.activate_game("loc_7_5",1)
	elif object_name == "up_2":
		api_game.set_goal("goal_7_5")
		quest_game.show_object("scroll","quest_anim",0.5,0,0)

def on_mouse_down_simple(object_name,p_object):
	if object_name == "scroll":
		p_owner = api_game.get_child(0,"back_minigame")
		api_game.play_anim(p_owner,"scroll","quest_anim", 0.5, 1)
		quest_game.add_oc("secret", "data\\img\\lev\\loc_7_1\\mini\\glow.gif", "vkl_1")
		api_game.play_anim(0,"back_minigame","quest_anim", 0.5, 1)
		api_game.play_anim(0,"fourth_object","quest_anim", 0.5, 0) 
		quest_game.set_state_of("three_object", 2)
		api_game.set_goal("goal_7_6")
